MOUNTD(8C)

NAME
mountd, rpc.mountd - NFS mount request server

SYNOPSIS
/usr/sbin/rpc.mountd [ -n ] [ -b ]

DESCRIPTION

mountd is an RPC server that answers file system mount requests. It reads the file /etc/xtab, described in exports(5), to determine which file systems are available for mounting by which machines. It also provides information as to what file systems are mounted by which clients. This information can be printed using the showmount(8) command.

The mountd daemon is normally invoked by inetd(8).

OPTIONS

-n  Do not check that the clients are root users. Though this option makes things slightly less secure, it does allow older versions (pre-3.0) of client NFS to work.

-b  For file systems with restricted access, do not attempt to check netgroup membership when not running NIS (this option has no effect when the system is running NIS). The b stands for bodge, an apt description.

FILES
/etc/xtab, /etc/rmtab

SEE ALSO
exports(5), inetd(8), showmount(8)

BUGS
When not running the Network Information Service (NIS), any attempt to restrict access to given hosts or netgroups via the -access=... option in exports(5) may cause mountd to dump core. This can be avoided by using the -b option, but this then prevents access being restricted to given netgroups.

Should mountd die for any reason, all subsequent incarnations started by inetd(8) will immediately die with the message
        rpc.mountd[pid]: couldn't register TCP MOUNTPROG
Eventually, inetd(8) will get tired of this and report the service terminated. If this happens, the superuser should restart mountd from the command line.